Debian Bug report logs - #734673
libsamplerate: Use autotools-dev to keep config.{sub, guess} up to date for portability

version graph

Package: src:libsamplerate; Maintainer for src:libsamplerate is Erik de Castro Lopo <erikd@mega-nerd.com>;

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 9 Jan 2014 03:27:02 UTC

Severity: normal

Tags: patch

Found in version libsamplerate/0.1.8

Fixed in version libsamplerate/0.1.8-6

Done: Erik de Castro Lopo <erikd@mega-nerd.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Erik de Castro Lopo <erikd@mega-nerd.com>:
Bug#734673; Package src:libsamplerate. (Thu, 09 Jan 2014 03:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Erik de Castro Lopo <erikd@mega-nerd.com>. (Thu, 09 Jan 2014 03:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libsamplerate: Use autotools-dev to keep config.{sub, guess} up to date for portability
Date: Thu, 09 Jan 2014 03:23:13 +0000
[Message part 1 (text/plain, inline)]
Source: libsamplerate
Version: 0.1.8
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org
Usertag: arm64

This package fails to build on new architectures (noted on arm64)
because the config.sub and config.guess files shipped with the package
are out of date. This patch uses the debhelper helpers to update this
files (and clean them properly so it builds twice). This fixes the issue
for future new ports too.

-- System Information:
Debian Release: 7.3
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-kvm-i386-20110111 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[libsamplerate-0.1.8-autoconf-update.patch (text/x-diff, attachment)]

Reply sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
You have taken responsibility. (Sun, 19 Jan 2014 10:39:05 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sun, 19 Jan 2014 10:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 734673-close@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: 734673-close@bugs.debian.org
Subject: Bug#734673: fixed in libsamplerate 0.1.8-6
Date: Sun, 19 Jan 2014 10:34:09 +0000
Source: libsamplerate
Source-Version: 0.1.8-6

We believe that the bug you reported is fixed in the latest version of
libsamplerate, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 734673@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Erik de Castro Lopo <erikd@mega-nerd.com> (supplier of updated libsamplerate package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 19 Jan 2014 21:02:34 +1100
Source: libsamplerate
Binary: libsamplerate0 libsamplerate0-dev samplerate-programs
Architecture: source amd64
Version: 0.1.8-6
Distribution: unstable
Urgency: low
Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
Changed-By: Erik de Castro Lopo <erikd@mega-nerd.com>
Description: 
 libsamplerate0 - Audio sample rate conversion library
 libsamplerate0-dev - Development files for audio sample rate conversion
 samplerate-programs - Sample programs that use libsamplerate
Closes: 734673
Changes: 
 libsamplerate (0.1.8-6) unstable; urgency=low
 .
   [Wookey <wookey@debian.org>]
   * Ensure config.{sub,guess} up to date for new ports (Closes: #734673).
 .
   [Erik de Castro Lopo]
   * debian/control:
     - Standards version 3.9.5. No changes needed.
Checksums-Sha1: 
 876da291b0b8a6095e6f773e6b5b7ca6138f9989 1910 libsamplerate_0.1.8-6.dsc
 e5fe82c4786be2fa33ca6bd4897db4868347fe70 4303330 libsamplerate_0.1.8.orig.tar.gz
 8cf0fc6aa00051a344e4cb3059d71a0c02c56004 5392 libsamplerate_0.1.8-6.debian.tar.xz
 5cbf05303b72b79a8dc18e5cbdc2dc17d8817528 946768 libsamplerate0_0.1.8-6_amd64.deb
 20ca81e148f2156046bf0267c67ae5c48c7a07ab 1002944 libsamplerate0-dev_0.1.8-6_amd64.deb
 441595c5ef9f095068eb7841cbbee1aa1af661be 17672 samplerate-programs_0.1.8-6_amd64.deb
Checksums-Sha256: 
 ba0fc8116fe1abd75d73f115b7ae59cd85c1f79edf9beae1b8adba761dd892b0 1910 libsamplerate_0.1.8-6.dsc
 93b54bdf46d5e6d2354b7034395fe329c222a966790de34520702bb9642f1c06 4303330 libsamplerate_0.1.8.orig.tar.gz
 32ed2b0cf574614534b7d83512ce59447865e09ac05729c5bf209a97e4d83cb6 5392 libsamplerate_0.1.8-6.debian.tar.xz
 e5344e8f9046ac6b129eda2e684751833b856668384f858641068b8155fff278 946768 libsamplerate0_0.1.8-6_amd64.deb
 066538ad54495cd1e9ffa5462283cef483942d44d87843b24001e918e32b590e 1002944 libsamplerate0-dev_0.1.8-6_amd64.deb
 85a2cbea8b502fa4dd1d29a59d43d0d735e51e9482d213863f302bdf6a5e800c 17672 samplerate-programs_0.1.8-6_amd64.deb
Files: 
 b7e80639292e475347a1458e7c8951f3 1910 sound optional libsamplerate_0.1.8-6.dsc
 1c7fb25191b4e6e3628d198a66a84f47 4303330 sound optional libsamplerate_0.1.8.orig.tar.gz
 c52de2852ef6ff9c3fb6dabf0e54a5bd 5392 sound optional libsamplerate_0.1.8-6.debian.tar.xz
 88716c5590a6595f6a9b0aef1878edbe 946768 libs optional libsamplerate0_0.1.8-6_amd64.deb
 1aa744dbd8116112b60add66f8694564 1002944 libdevel optional libsamplerate0-dev_0.1.8-6_amd64.deb
 f559cf42eabb845bb2cb7bc0d719c7cb 17672 utils optional samplerate-programs_0.1.8-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS26UdAAoJEEXYQ7zIiotIKEEP/3H84slicBqd61IS3CUt0/2D
cQ7UnVbGJNp+2NfMDtMLvMYVPkPevZRJjccHZMJugUjE3BLBn6eIOfuK8DMikD05
Se1RnqqWkJ1FnXBkenLhGTakRPw8Up3O/+dBESUL9t+Lg1TWEA3SGX91HnwQVwCw
CowxM4G8g7dANGAOgw0kNPrnZcHE9PRDioaSElkvKczxUNzHCQRaO/97tny5oKyi
2UC9f7sTVaK/oYhNydDuKVXEnMGqvtz0ekFi6mzSlmHxVj5xnW7aQCxnJGJ5Jzm6
rKYEAMe1tV4ND41pjz7RbjBBPNg5JzUTccqQkk3ZXqtfsOzf4t4uM0MI8vVpzjHE
jolWNQAy81Jd18cMHtotY8idLcPG0IWlNnR0u/rfMaDGZUWbI2ar7KPg+GrwDvo9
C1MeBHIOnWYA/rjwLf42V3e0sbP8XJ3Mv+j3HdIN1wlOc/pl+FEEn9s+VCC5nuLW
ZRFWS1I1DhsqlmJ/RftWvPQaHnzYC11XlqTHIvC4j0vd8Pm8fmgWO22959gpNX4K
UR8I8OLoCGNy6no1XDB2UiHgvXoXddWTLRVbJY879R15RdDiSF89nE+mGP7AEd5G
2yunEUNFjghDxbsKzdiptiEpbnAlMSkiNNhDAZw0auBNdxCQnzCj6a1vCC1P3MUt
d8mWcSfRs8zRymy/xUAB
=rISa
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Mar 2014 07:32:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:45:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.